CVE-2005-3262
CVSS7.5
发布时间 :2005-10-20 06:02:00
修订时间 :2008-09-10 15:46:07
NMCO    

[原文]Format string vulnerability in RARLAB WinRAR 2.90 through 3.50 allows remote attackers to execute arbitrary code via format string specifiers in a UUE/XXE file, which are not properly handled when WinRAR displays diagnostic errors related to an invalid filename.


[CNNVD]RARLAB WinRAR UUE/XXE编码文件 远程代码执行漏洞(CNNVD-200510-147)

        WinRar是非常流行的压缩/解压工具。
        在显示诊断错误消息通知用户UUE/XXE编码文件中存在无效的文件名时存在格式串漏洞,导致在解码恶意的UUE/XXE文件时会执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:rarlab:winrar:3.42
cpe:/a:rarlab:winrar:3.20
cpe:/a:rarlab:winrar:3.10
cpe:/a:rarlab:winrar:3.11
cpe:/a:rarlab:winrar:3.40
cpe:/a:rarlab:winrar:3.10_beta5
cpe:/a:rarlab:winrar:3.0.0
cpe:/a:rarlab:winrar:3.41
cpe:/a:rarlab:winrar:3.10_beta3
cpe:/a:rarlab:winrar:2.90
cpe:/a:rarlab:winrar:3.50

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3262
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3262
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200510-147
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/15062
(PATCH)  BID  15062
http://secunia.com/secunia_research/2005-53/advisory/
(VENDOR_ADVISORY)  MISC  http://secunia.com/secunia_research/2005-53/advisory/
http://secunia.com/advisories/16973/
(VENDOR_ADVISORY)  SECUNIA  16973
http://www.rarlabs.com/rarnew.htm
(UNKNOWN)  CONFIRM  http://www.rarlabs.com/rarnew.htm

- 漏洞信息

RARLAB WinRAR UUE/XXE编码文件 远程代码执行漏洞
高危 格式化字符串
2005-10-20 00:00:00 2005-10-20 00:00:00
远程  
        WinRar是非常流行的压缩/解压工具。
        在显示诊断错误消息通知用户UUE/XXE编码文件中存在无效的文件名时存在格式串漏洞,导致在解码恶意的UUE/XXE文件时会执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.rarlabs.com/download.htm

- 漏洞信息

19914
RAR/WinRAR UUE/XXE Invalid Filename Error Message Format String
Local / Remote, Context Dependent Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-10-11 2005-09-30
Unknow Unknow

- 解决方案

Upgrade to version 3.51 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站